Webhooks

Push notifications from events within Arratech's solution are available via webhooks. Register a webhook to an http endpoint (callback handler) you control and receive calls to that endpoint each time the corresponding event occurs.

Your callback handler must respond HTTP 200 for a successful delivery. The response body is not evaluated. If your processing takes time, we recommend returning a 200 response immediately and handling the payload asynchronously.

In case your callback handler is unavailable the notification delivery is retried up to 2 times (3 total delivery attempts). If you still miss the delivery (e.g. due to an extended unavailability of your callback handler) the API also contains endpoints for listing the received events retroactively. Each event is stored for 14 days.

The API currently supports a very limited set of events but the list of supported events will grow continuously.

Supported Events

Event NamePayloadNote
transaction.receivedTBDTriggered when a transaction is received
transaction.sentTBDTriggered when a transaction is successfully sent
webhook.testTBDTriggered via the trigger-test-event endpoint by specifying this event in the payload.

Endpoints

For information only. Full, normative endpoint definitions in the Swagger documentation.

EndpointDescriptionRole
GET /orgs/:orgId/webhooksList all webhooks that this organisation has registeredorgadmin
GET /orgs/:orgId/webhooks/:idGet one specific webhookorgadmin
POST /orgs/:orgId/webhooksCreate/register a webhookorgadmin
PUT /orgs/:orgId/webhooks/:idUpdate a webhookorgadmin
POST /orgs/:orgId/webhooks/batch-deleteDelete one or more webhooksorgadmin
POST /orgs/:orgId/webhooks/trigger-test-eventManually trigger an event orgadmin
GET /orgs/:orgId/webhooks/eventsList all webhook eventsorgadmin
GET /orgs/:orgId/webhooks/events/:idGet one specific webhook eventorgadmin

Example Webhook datatype

{
  "type": "WEBHOOK",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "orgId": "550e8400-e29b-41d4-a716-446655440000",
  "description": "Webhook for transaction events",
  "events": [
    "transaction.received",
    "transaction.sent"
  ],
  "url": "https://example.com/webhook-endpoint",
  "isEnabled": true,
  "createdBy": {
    "userId": "123e4567-e89b-12d3-a456-426614174000"
  },
  "createdAt": "2025-09-12T08:00:00Z",
  "lastModifiedBy": {
    "userId": "123e4567-e89b-12d3-a456-426614174000"
  },
  "lastModifiedAt": "2025-09-13T09:30:00Z"
}